import React, { FC } from 'react';
import { ButtonModel } from '../../../../buttonModels';
import { TouchableHighlight } from 'react-native';
import { styles } from '../../styles';
import { AtomIcon } from '../../../../../icons';

export const PrimaryExtraLargeIconFlatButton: FC<ButtonModel> = ({
  onClick,
  disabled,
  Icon = AtomIcon,
}) => (
  <TouchableHighlight
    disabled={disabled}
    onPress={onClick}
    underlayColor={styles().flatButtonPressed.backgroundColor}
    style={[styles().button]}
  >
    <Icon
      color={disabled ? styles().flatButtonTextDisabled.color : styles().flatButtonText.color}
      width={24}
      height={24}
    />
  </TouchableHighlight>
);
