import React, { FC } from 'react';
import { ButtonModel } from '../../../../buttonModels';
import { TouchableHighlight } from 'react-native';
import { styles } from '../../styles';
import { AtomIcon } from '../../../../../icons';

export const PrimaryMediumIconOutlinedButton: FC<ButtonModel> = ({
  onClick,
  disabled,
  Icon = AtomIcon,
}) => (
  <TouchableHighlight
    disabled={disabled}
    onPress={onClick}
    underlayColor={styles().outlinedButtonPressed.backgroundColor}
    style={[styles().button, styles().outlinedButton, disabled && styles().outlinedButtonDisabled]}
  >
    <Icon 
      color={disabled ? styles().outlinedButtonDisabledText.color : styles().outlinedButtonText.color}
      width={24}
      height={24}
    />
  </TouchableHighlight>
);
