import React, { FC } from 'react';
import { ButtonModel } from '../../../../buttonModels';
import { Text, TouchableHighlight, View } from 'react-native';
import { styles } from '../../styles';
import { AtomIcon } from '../../../../../icons';

export const SecondaryBlockRightIconFlatButton: FC<ButtonModel> = ({
  text,
  onClick,
  disabled,
  Icon = AtomIcon,
}) => (
  <TouchableHighlight
    disabled={disabled}
    onPress={onClick}
    underlayColor={styles().flatButtonPressed.backgroundColor}
    style={[styles().button]}
  >
    <View style={styles().buttonInfoContainer}>
      <Text
        style={[styles().text, styles().flatButtonText, disabled && styles().flatButtonTextDisabled]}
        numberOfLines={1}
      >{text}</Text>
      <Icon
        color={disabled ? styles().flatButtonTextDisabled.color : styles().flatButtonText.color}
        width={24}
        height={24}
      />
    </View>
  </TouchableHighlight>
);
