import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../../utils';
import { borderRadiusSizes } from '../../../../constants';

export const styles = () => StyleSheet.create({
  button: {
    height: 40,
    minWidth: 40,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    alignSelf: 'flex-start',
    paddingLeft: 12,
    paddingRight: 12,
    borderRadius: borderRadiusSizes.medium,
  },
  buttonInfoContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',

  },
  text: {
    fontWeight: '500',
    fontSize: 14,
    lineHeight: 24,
    marginLeft: 18,
    marginRight: 18,
  },
  solidButton: {
    backgroundColor: getThemeColorByDefaultColor('background', 'extraDark'),
  },
  solidButtonPressed: {
    backgroundColor: getThemeColorByDefaultColor('text', 'dark'),
  },
  solidButtonDisabled: {
    backgroundColor: getThemeColorByDefaultColor('background', 'dark'),
  },
  solidButtonText: {
    color: getThemeColorByDefaultColor('text', 'extraLight'),
  },
  outlinedButton: {
    borderWidth: 1,
    borderColor: getThemeColorByDefaultColor('background', 'extraDark'),
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
  },
  outlinedButtonPressed: {
    backgroundColor: getThemeColorByDefaultColor('background', 'default'),
  },
  outlinedButtonDisabled: {
    borderColor: getThemeColorByDefaultColor('background', 'dark'),
  },
  outlinedButtonText: {
    color: getThemeColorByDefaultColor('text', 'dark'),
  },
  outlinedButtonDisabledText: {
    color: getThemeColorByDefaultColor('background', 'dark'),
  },
  flatButtonPressed: {
    backgroundColor: getThemeColorByDefaultColor('background', 'light'),
  },
  flatButtonText: {
    color: getThemeColorByDefaultColor('text', 'dark'),
  },
  flatButtonTextDisabled: {
    color: getThemeColorByDefaultColor('background', 'dark'),
  },
});
