import React, { FC } from 'react';
import { ButtonModel } from '../../../../buttonModels';
import { Text, TouchableHighlight } from 'react-native';
import { styles } from '../../styles';

export const SecondarySmallTextSolidButton: FC<ButtonModel> = ({
  text,
  onClick,
  disabled,
}) => (
  <TouchableHighlight
    disabled={disabled}
    onPress={onClick}
    underlayColor={styles().solidButtonPressed.backgroundColor}
    style={[styles().button, styles().solidButton, disabled && styles().solidButtonDisabled]}
  >
    <Text style={[styles().text, styles().solidButtonText]} numberOfLines={1}>{text}</Text>
  </TouchableHighlight>
);
