import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const AirportShuttleIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'AirportShuttle'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M22.41 10.41l-4.83-4.83c-.37-.37-.88-.58-1.41-.58H3a2 2 0 00-2 2v7c0 1.1.9 2 2 2 0 1.66 1.34 3 3 3s3-1.34 3-3h6c0 1.66 1.34 3 3 3s3-1.34 3-3c1.1 0 2-.9 2-2v-2.17c0-.53-.21-1.04-.59-1.42zM3 10V8c0-.55.45-1 1-1h3v4H4c-.55 0-1-.45-1-1zm3 7.25a1.25 1.25 0 110-2.5 1.25 1.25 0 010 2.5zM13 11H9V7h4v4zm5 6.25a1.25 1.25 0 110-2.5 1.25 1.25 0 010 2.5zM15 11V7h1l4 4h-5z'}
      fill={color}
    />
  </Svg>
);
