import React, { FC } from 'react';
import Svg, { Rect } from 'react-native-svg';
import { SvgProps } from '../icon.model';
import { getThemeColorByDefaultColor } from '../../../../utils';

export const DragVerticalIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = getThemeColorByDefaultColor('text', 'default'),
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'DragVertical'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Rect
      x={19}
      y={4}
      width={16}
      height={2}
      rx={1}
      transform={'rotate(90 19 4)'}
      fill={color}
    />
    <Rect
      x={13}
      y={4}
      width={16}
      height={2}
      rx={1}
      transform={'rotate(90 13 4)'}
      fill={color}
    />
    <Rect
      x={7}
      y={4}
      width={16}
      height={2}
      rx={1}
      transform={'rotate(90 7 4)'}
      fill={color}
    />
  </Svg>
);
