import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const FeedbackIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'Feedback'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M20 2H4.01C2.91 2 2.01 2.9 2.01 4V22L6 18H20C21.1 18 22 17.1 22 16V4C22 2.9 21.1 2 20 2ZM13 14H11V12H13V14ZM13 9C13 9.55 12.55 10 12 10C11.45 10 11 9.55 11 9V7C11 6.45 11.45 6 12 6C12.55 6 13 6.45 13 7V9Z'}
      fill={color}
    />
  </Svg>
);
