import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const FillColorIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'FillColor'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      fillRule={'evenodd'}
      clipRule={'evenodd'}
      d={'M8.94 16.56c.29.29.68.44 1.06.44s.77-.15 1.06-.44l5.5-5.5c.59-.58.59-1.53 0-2.12L8.32.7a.996.996 0 10-1.41 1.41l1.68 1.68-5.15 5.15a1.49 1.49 0 000 2.12l5.5 5.5zM10 5.21L14.79 10H5.21L10 5.21z'}
      fill={color}
    />
    <Path
      d={'M19 17c1.1 0 2-.9 2-2 0-1.33-2-3.5-2-3.5s-2 2.17-2 3.5c0 1.1.9 2 2 2zM4 20h16c1.1 0 2 .9 2 2s-.9 2-2 2H4c-1.1 0-2-.9-2-2s.9-2 2-2z'}
      fill={color}
    />
  </Svg>
);
