import React, { FC } from 'react';
import { RoundCornersPictureModel } from '../pictureModels';
import { Image, View } from 'react-native';
import { styles } from '../styles';

export const RoundCornersPicture: FC<RoundCornersPictureModel> = ({
  height= styles().picture.height,
  width,
  imageURL,
}) => {
  return (
    <>
      {!!imageURL &&
        <Image
          style={[styles().picture, styles().roundCornersPicture, { height, width }]}
          source={{ uri: imageURL }}
        />}
      {!imageURL &&
        <View
          style={[styles().picture, styles().roundCornersPicture, { height, width }]}
        />}
    </>
  );
};
