import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../utils';
import { borderRadiusSizes } from '../../../constants';

export const styles = () => StyleSheet.create({
  iconThumb: {
    alignItems: 'center',
    justifyContent: 'center',
    height: 60,
    width: 40,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    borderRadius: borderRadiusSizes.medium,
    borderWidth: 3,
    borderColor: getThemeColorByDefaultColor('border', 'default'),
  },
  iconThumbIcon: {
    height: 28,
    width: 28,
    color: getThemeColorByDefaultColor('primary', 'default'),
  },
  iconThumbShadow: {
    shadowColor: '#353B49',
    shadowOffset: {
      width: 0,
      height: 4,
    },
    shadowOpacity: 0.2,
    shadowRadius: 3,
    elevation: 10,
  },
});
