import React, { FC } from 'react';
import { View } from 'react-native';
import { SvgProps } from '../../icons/icon.model';
import { styles } from './styles';

interface Props {
  IconLeft: FC<SvgProps>,
  IconRight: FC<SvgProps>,
}

export const BooleanIconTrack: FC<Props> = ({
  IconLeft,
  IconRight,
}) => {

  return (
    <View style={styles().booleanIconTrack}>
      <IconLeft
        color={styles().booleanIconTrackLeftIcon.color}
        style={styles().booleanIconTrackLeftIcon}
        width={32}
        height={32}
      />
      <IconRight
        color={styles().booleanIconTrackRightIcon.color}
        style={styles().booleanIconTrackRightIcon}
        width={32}
        height={32}
      />
    </View>
  );
};
