import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../utils';
import { borderRadiusSizes } from '../../../constants';

export const styles = () => StyleSheet.create({
  infoAlert: {
    width: '100%',
    borderRadius: borderRadiusSizes.medium,
    padding: 18,
    borderWidth: 1,
    borderColor: getThemeColorByDefaultColor('border', 'default'),
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  contentBlock: {
    flexDirection: 'row',
    flex: 1,
  },
  icon: {
    color: getThemeColorByDefaultColor('text', 'dark'),
  },
  textBlock: {
    marginLeft: 14,
    flex: 1,
  },
});
