import React, { FC } from 'react';
import { Body2SemiBoldText, InfoIcon } from '../../../../atoms';
import { View } from 'react-native';
import { AlertModel } from '../../alertModels';
import { styles } from '../styles';

export const TitleInfoAlert: FC<AlertModel> = ({ title }) => {
  return (
    <View style={styles().infoAlert}>
      <View style={styles().contentBlock}>
        <InfoIcon color={styles().icon.color} />
        <View style={styles().textBlock}>
          {title && <Body2SemiBoldText>{title}</Body2SemiBoldText>}
        </View>
      </View>
    </View>
  );
};
