import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../../utils';
import { borderRadiusSizes, largeShadow, spacingSizes } from '../../../../constants';

export const styles = () => StyleSheet.create({
  headerArticleButton: {
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    borderBottomLeftRadius: borderRadiusSizes.medium,
    borderBottomRightRadius: borderRadiusSizes.medium,
    ...largeShadow,
  },
  headerArticleButtonImage: {
    height: 200,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraDark'),
  },
  headerArticleButtonInfoContainer: {
    height: 76,
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  headerArticleButtonInfoTextContainer: {
    maxWidth: '80%',
    paddingHorizontal: spacingSizes.large,
    text: {
      color: getThemeColorByDefaultColor('text', 'dark'),
    },
    description: {
      color: getThemeColorByDefaultColor('text', 'default'),
    },
  },
  headerArticleButtonInfoIconContainer: {
    paddingRight: spacingSizes.medium,
  },
});
