import { StyleSheet } from 'react-native';
import { borderRadiusSizes, spacingSizes } from '../../../../constants';
import { getThemeColorByDefaultColor } from '../../../../../utils';

export const styles = () => StyleSheet.create({
  iconTitleButton: {
    height: 76,
    borderRadius: borderRadiusSizes.medium,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    flexDirection: 'row',
    alignItems: 'center',
    paddingHorizontal: spacingSizes.medium,
    disabled: {
      backgroundColor: getThemeColorByDefaultColor('background', 'dark'),
    },
  },
  iconTitleButtonIconContainer: {
    width: '10%',
    marginRight: spacingSizes.medium,
  },
  iconTitleButtonIconColor: {
    color: getThemeColorByDefaultColor('text', 'light'),
  },
  iconTitleButtonTextContainer: {
    width: '85%',
  },
  iconTitleButtonTextTitleColor: {
    color: getThemeColorByDefaultColor('text', 'dark'),
    disabled: {
      color: getThemeColorByDefaultColor('text', 'default'),
    },
  },
  iconTitleButtonTextColor: {
    color: getThemeColorByDefaultColor('text', 'default'),
    disabled: {
      color: getThemeColorByDefaultColor('text', 'default'),
    },
  },
});
