import React, { FC } from 'react';
import { ImageItemInfoModel } from '../../listItemModels';
import { Image, View } from 'react-native';
import { styles } from './styles';
import { Body2RegularText, DragHorizontalIcon, LabelSemiBoldText } from '../../../../atoms';

export const DraggableImageTextDescription: FC<ImageItemInfoModel> = ({
  text,
  description,
  imageURL,
}) => {
  return (
    <View style={styles().draggableImageTextDescription}>
      <View style={styles().draggableImageTextDescriptionIconContainer}>
        <DragHorizontalIcon width={32} height={32} />
      </View>
      <View style={styles().draggableImageTextDescriptionContainer}>
        {!!imageURL &&
        <Image
          style={[styles().draggableImageTextDescriptionImageContainer]}
          source={{ uri: imageURL }}
        />}
        {!imageURL &&
        <View
          style={styles().draggableImageTextDescriptionImageContainer}
        />}
        <View style={styles().draggableImageTextDescriptionTextContainer}>
          <LabelSemiBoldText numberOfLines={1} color={styles().draggableImageTextDescriptionTextContainer.title.color}>
            {text}
          </LabelSemiBoldText>
          <Body2RegularText
            numberOfLines={1}
            color={styles().draggableImageTextDescriptionTextContainer.description.color}
          >
            {description}
          </Body2RegularText>
        </View>
      </View>
    </View>
  );
};
