import React, { FC } from 'react';
import { View } from 'react-native';
import { styles } from './styles';
import { Body2MediumText, LabelSemiBoldText } from '../../../../atoms';
import { InfoListItemModel } from '../../listItemModels';

export const IconTitleDescriptionInfo: FC<InfoListItemModel> = ({
  text,
  description,
  Icon,
}) => {
  return (
    <View
      style={styles().iconTitleDescriptionButton}
    >
      <View style={styles().iconTitleDescriptionButtonIconContainer}>
        {Icon && <Icon width={32} height={32} color={styles().iconTitleDescriptionButtonIconColor.color}/>}
      </View>
      <View style={styles().iconTitleDescriptionButtonTextContainer}>
        <LabelSemiBoldText
          numberOfLines={1}
          color={styles().iconTitleDescriptionButtonTextTitleColor.color}
        >
          {text}
        </LabelSemiBoldText>
        <Body2MediumText
          numberOfLines={1}
          color={styles().iconTitleDescriptionButtonTextDescriptionColor.color}
        >
          {description}
        </Body2MediumText>
      </View>
    </View>
  );
};
