import React, { FC } from 'react';
import { Image, View } from 'react-native';
import { ImageItemInfoModel } from '../../listItemModels';
import { styles } from './styles';
import { Body2RegularText, LabelSemiBoldText } from '../../../../atoms';

export const ImageTextDescription: FC<ImageItemInfoModel> = ({
  text,
  description,
  imageURL,
}) => {
  return (
    <View style={styles().imageTextDescription}>
      {!!imageURL &&
      <Image
        style={[styles().imageTextDescriptionImageContainer]}
        source={{ uri: imageURL }}
      />}
      {!imageURL &&
      <View
        style={styles().imageTextDescriptionImageContainer}
      />}
      <View style={styles().imageTextDescriptionTextContainer}>
        <LabelSemiBoldText numberOfLines={1} color={styles().imageTextDescriptionTextContainer.title.color}>
          {text}
        </LabelSemiBoldText>
        <Body2RegularText numberOfLines={1} color={styles().imageTextDescriptionTextContainer.description.color}>
          {description}
        </Body2RegularText>
      </View>
    </View>
  );
};
