import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../../utils';
import { borderRadiusSizes, spacingSizes } from '../../../../constants';

export const styles = () => StyleSheet.create({
  imageTextDescription: {
    height: 76,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    borderRadius: borderRadiusSizes.medium,
    flexDirection: 'row',
  },
  imageTextDescriptionImageContainer: {
    height: 76,
    width: 76,
    borderTopLeftRadius: borderRadiusSizes.medium,
    borderBottomLeftRadius: borderRadiusSizes.medium,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraDark'),
  },
  imageTextDescriptionTextContainer: {
    width: '75%',
    paddingHorizontal: spacingSizes.large,
    justifyContent: 'center',
    title: {
      color: getThemeColorByDefaultColor('text', 'dark'),
    },
    description: {
      color: getThemeColorByDefaultColor('text', 'default'),
    },
  },
});
