import React, { FC } from 'react';
import { InfoListItemModel } from '../../listItemModels';
import { View } from 'react-native';
import { AtomIcon, CaptionSemiBoldText, LabelSemiBoldText } from '../../../../atoms';
import { styles } from './styles';

export const InfoIconTextDescription: FC<InfoListItemModel> = ({
  Icon= AtomIcon,
  text,
  description,
}) => {
  return (
    <View style={styles().infoIconTextDescriptionContainer}>
      <View style={styles().infoIconTextDescriptionContent}>
        <View style={styles().infoIconTextDescriptionLeftContainer}>
          {Icon && <Icon width={24} height={24} color={styles().infoIconTextDescriptionIcon.color} />}
          <View style={styles().infoIconTextDescriptionTextContainer}>
            <LabelSemiBoldText numberOfLines={1} color={styles().infoIconTextDescriptionText.color}>
              {text}
            </LabelSemiBoldText>
          </View>
        </View>
        <View style={styles().infoIconTextDescriptionRightContainer}>
          <CaptionSemiBoldText numberOfLines={1} color={styles().infoIconTextDescriptionDescription.color}>
            {description}
          </CaptionSemiBoldText>
        </View>
      </View>
    </View>
  );
};
