import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../../utils';
import { borderRadiusSizes, spacingSizes } from '../../../../constants';

export const styles = () => StyleSheet.create({
  infoIconTextDescriptionContainer: {
    width: '100%',
    height: 76,
    paddingHorizontal: 20,
    paddingVertical: 26,
    flexDirection: 'row',
    alignItems: 'center',
    borderRadius: borderRadiusSizes.medium,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
  },
  infoIconTextDescriptionContent: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    width: '100%',
  },
  infoIconTextDescriptionLeftContainer: {
    flexDirection: 'row',
    maxWidth: '70%',
  },
  infoIconTextDescriptionRightContainer: {
    marginLeft: spacingSizes.small,
    maxWidth: '20%',
  },
  infoIconTextDescriptionTextContainer: {
    marginLeft: spacingSizes.medium,
  },
  infoIconTextDescriptionText: {
    color: getThemeColorByDefaultColor('text', 'dark'),
  },
  infoIconTextDescriptionDescription: {
    color: getThemeColorByDefaultColor('text', 'default'),
  },
  infoIconTextDescriptionIcon: {
    color: getThemeColorByDefaultColor('text', 'light'),
  },
});
