import { StyleSheet } from 'react-native';
import { borderRadiusSizes, spacingSizes } from '../../../../constants';
import { getThemeColorByDefaultColor } from '../../../../../utils';

export const styles = () => StyleSheet.create({
  titleModalHeader: {
    height: 72,
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    borderTopRightRadius: borderRadiusSizes.medium,
    borderTopLeftRadius: borderRadiusSizes.medium,
    paddingLeft: spacingSizes.large,
    paddingRight: spacingSizes.small,
    paddingTop: spacingSizes.small,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    text: {
      maxWidth: '60%',
    },
  },
});
