import React, { FC } from 'react';
import { View } from 'react-native';
import { AvatarIcon,
  EllipsisIcon,
  NotificationOnIcon,
  NotificationsOffIcon,
  SecondaryExtraLargeIconFlatButton } from '../../../atoms';
import { ProfileNotificationsOptionsTopBarModel } from '../topBarModels';
import { styles } from '../styles';

export const ProfileNotificationsOptionsTopBar: FC<ProfileNotificationsOptionsTopBarModel> = ({
  onProfileClick,
  onNotificationsClick,
  onOptionsClick,
  isNotificationsDisabled,
  backgroundColor= styles().topBar.backgroundColor,
}) => {
  const NotificationIcon = isNotificationsDisabled ? NotificationsOffIcon : NotificationOnIcon;
  return (
    <View style={[styles().topBar, { backgroundColor }]}>
      <View style={styles().topBarLeftContainer}>
        <SecondaryExtraLargeIconFlatButton Icon={AvatarIcon} onClick={onProfileClick} />
      </View>
      <View style={styles().topBarRightContainer}>
        <SecondaryExtraLargeIconFlatButton Icon={NotificationIcon} onClick={onNotificationsClick} />
        <SecondaryExtraLargeIconFlatButton Icon={EllipsisIcon} onClick={onOptionsClick} />
      </View>
    </View>
  );
};
