import React, { FC } from 'react';
import { View } from 'react-native';
import { ArrowLeftIcon,
  EllipsisIcon,
  NotificationOnIcon,
  NotificationsOffIcon,
  SecondaryExtraLargeIconFlatButton } from '../../../atoms';
import { ReturnNotificationsOptionsTopBarModel } from '../topBarModels';
import { styles } from '../styles';

export const ReturnNotificationsOptionsTopBar: FC<ReturnNotificationsOptionsTopBarModel> = ({
  onReturnClick,
  onNotificationsClick,
  onOptionsClick,
  backgroundColor= styles().topBar.backgroundColor,
  isNotificationsDisabled,
}) => {
  const NotificationIcon = isNotificationsDisabled ? NotificationsOffIcon : NotificationOnIcon;
  return (
    <View style={[styles().topBar, { backgroundColor }]}>
      <View style={styles().topBarLeftContainer}>
        <SecondaryExtraLargeIconFlatButton Icon={ArrowLeftIcon} onClick={onReturnClick} />
      </View>
      <View style={styles().topBarRightContainer}>
        <SecondaryExtraLargeIconFlatButton Icon={NotificationIcon} onClick={onNotificationsClick} />
        <SecondaryExtraLargeIconFlatButton Icon={EllipsisIcon} onClick={onOptionsClick} />
      </View>
    </View>
  );
};
