import React, { FC } from 'react';
import { View } from 'react-native';
import { ArrowLeftIcon,
  NotificationOnIcon,
  NotificationsOffIcon,
  SecondaryExtraLargeIconFlatButton } from '../../../atoms';
import { ReturnNotificationsTopBarModel } from '../topBarModels';
import { styles } from '../styles';

export const ReturnNotificationsTopBar: FC<ReturnNotificationsTopBarModel> = ({
  onReturnClick,
  onNotificationsClick,
  isNotificationsDisabled,
  backgroundColor= styles().topBar.backgroundColor,
}) => {
  const NotificationIcon = isNotificationsDisabled ? NotificationsOffIcon : NotificationOnIcon;
  return (
    <View style={[styles().topBar, { backgroundColor }]}>
      <View style={styles().topBarLeftContainer}>
        <SecondaryExtraLargeIconFlatButton Icon={ArrowLeftIcon} onClick={onReturnClick} />
      </View>
      <View style={styles().topBarRightContainer}>
        <SecondaryExtraLargeIconFlatButton Icon={NotificationIcon} onClick={onNotificationsClick} />
      </View>
    </View>
  );
};
