import React, { FC } from 'react';
import { View } from 'react-native';
import { ReturnTitleDescriptionTopBarModel } from '../../topBarModels';
import { styles } from '../../styles';
import { ArrowLeftIcon, HeadingSmallText, LabelMediumText, SecondaryExtraLargeIconFlatButton } from '../../../../atoms';

export const ReturnTitleDescriptionTopBar: FC<ReturnTitleDescriptionTopBarModel> = ({
  onReturnClick,
  text,
  description,
  backgroundColor= styles().topBar.backgroundColor,
}) => {
  return (
    <>
      <View style={[styles().topBar, { backgroundColor }]}>
        <View style={styles().topBarLeftContainer}>
          <SecondaryExtraLargeIconFlatButton Icon={ArrowLeftIcon} onClick={onReturnClick} />
        </View>
      </View>
      <View style={[styles().topBarTitleDescriptionContainer, { backgroundColor }]}>
        <HeadingSmallText color={styles().topBarTitleDescriptionContainer.title.color} numberOfLines={1}>
          {text}
        </HeadingSmallText>
        <LabelMediumText color={styles().topBarTitleDescriptionContainer.description.color} numberOfLines={1}>
          {description}
        </LabelMediumText>
      </View>
    </>
  );
};
