import React, { FC } from 'react';
import { View } from 'react-native';
import { ReturnTitleTopBarModel } from '../../topBarModels';
import { styles } from '../../styles';
import { ArrowLeftIcon, HeadingSmallText, SecondaryExtraLargeIconFlatButton } from '../../../../atoms';

export const ReturnTitleTopBar: FC<ReturnTitleTopBarModel> = ({
  onReturnClick,
  text,
  backgroundColor= styles().topBar.backgroundColor,
}) => {
  return (
    <>
      <View style={[styles().topBar, { backgroundColor }]}>
        <View style={styles().topBarLeftContainer}>
          <SecondaryExtraLargeIconFlatButton Icon={ArrowLeftIcon} onClick={onReturnClick} />
        </View>
      </View>
      <View style={[styles().topBarTitleContainer, { backgroundColor }]}>
        <HeadingSmallText color={styles().topBarTitleContainer.color} numberOfLines={1}>
          {text}
        </HeadingSmallText>
      </View>
    </>
  );
};
