import React, { FC } from 'react';
import { View } from 'react-native';
import { ReturnTitleTopBarModel } from '../../topBarModels';
import { styles } from '../../styles';
import { ArrowLeftIcon, SecondaryExtraLargeIconFlatButton } from '../../../../atoms';

export const ReturnTitleSkeletonTopBar: FC<ReturnTitleTopBarModel> = ({
  onReturnClick,
  backgroundColor= styles().topBar.backgroundColor,
}) => {
  return (
    <>
      <View style={[styles().topBar, { backgroundColor }]}>
        <View style={styles().topBarLeftContainer}>
          <SecondaryExtraLargeIconFlatButton Icon={ArrowLeftIcon} onClick={onReturnClick} />
        </View>
      </View>
      <View style={[styles().topBarTitleContainer, { backgroundColor }]}>
        <View style={styles().topBarTitleSkeleton} />
      </View>
    </>
  );
};
