import React, { FC } from 'react';
import { View } from 'react-native';
import { ArrowLeftIcon, SecondaryExtraLargeIconFlatButton } from '../../../atoms';
import { ReturnTopBarModel } from '../topBarModels';
import { styles } from '../styles';

export const ReturnTopBar: FC<ReturnTopBarModel> = ({
  onReturnClick,
  backgroundColor= styles().topBar.backgroundColor,
}) => {
  return (
    <View style={[styles().topBar, { backgroundColor }]}>
      <View style={styles().topBarLeftContainer}>
        <SecondaryExtraLargeIconFlatButton Icon={ArrowLeftIcon} onClick={onReturnClick} />
      </View>
    </View>
  );
};
