import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../utils';
import { spacingSizes } from '../../constants';

export const styles = () => StyleSheet.create({
  topBar: {
    minHeight: 80,
    height: 80,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    flexDirection: 'row',
    alignItems: 'center',
    paddingHorizontal: spacingSizes.small,
  },
  topBarLeftContainer: {
    width: '70%',
    flexDirection: 'row',
    alignItems: 'center',
  },
  topBarRightContainer: {
    width: '30%',
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'flex-end',
  },
  topBarTitleContainer: {
    height: 56,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    color: getThemeColorByDefaultColor('text', 'dark'),
    paddingHorizontal: spacingSizes.large,
  },
  topBarTitleSkeleton: {
    backgroundColor: getThemeColorByDefaultColor('background', 'dark'),
    height: 24,
    width: 120,
    marginTop: spacingSizes.unit,
  },
  topBarTitleDescriptionContainer: {
    height: 88,
    paddingHorizontal: spacingSizes.large,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    title: {
      color: getThemeColorByDefaultColor('text', 'dark'),
    },
    description: {
      color: getThemeColorByDefaultColor('text', 'default'),
    },
  },
  topBarDescriptionSkeleton: {
    backgroundColor: getThemeColorByDefaultColor('background', 'dark'),
    height: 16,
    width: 200,
    marginTop: spacingSizes.small,
  },
});
