import React, { FC } from 'react';
import { View } from 'react-native';
import { HeadingSmallText } from '../../../atoms';
import { TitleTopBarModel } from '../topBarModels';
import { styles } from '../styles';

export const TitleTopBar: FC<TitleTopBarModel> = ({
  text,
  backgroundColor = styles().topBar.backgroundColor,
}) => {
  return (
    <View style={[styles().topBar, styles().topBarTitleContainer, { backgroundColor }]}>
      <HeadingSmallText color={styles().topBarTitleContainer.color} numberOfLines={1}>
        {text}
      </HeadingSmallText>
    </View>

  );
};
