import React, { FC } from 'react';
import { BottomDynamicModalWrapper, TitleCloseModalHeader } from '../../../../molecules';
import { ModalBodiesModel } from '../modalBodiesModels';
import { AtomIcon, BodyRegularText, HeadingMediumText, PrimaryLargeTextFlatButton } from '../../../../atoms';
import { View } from 'react-native';
import { styles } from './styles';

export const IconTitleDescriptionButtonModal: FC<ModalBodiesModel> = ({
  title,
  Icon= AtomIcon,
  description,
  buttonText,
  onButtonClick,
  onClose,
}) => {
  return (
    <BottomDynamicModalWrapper>
      <TitleCloseModalHeader onClose={onClose} />
      <View style={styles().iconTitleDescriptionButton}>
        {Icon && <Icon width={'96'} height={'96'} />}
        <View style={styles().iconTitleDescriptionButtonTitle}>
          <HeadingMediumText
            color={styles().iconTitleDescriptionButtonTitle.color}
            numberOfLines={1}
          >
            {title}
          </HeadingMediumText>
        </View>
        <View style={styles().iconTitleDescriptionButtonDescription}>
          <BodyRegularText
            color={styles().iconTitleDescriptionButtonDescription.color}
            numberOfLines={3}
          >
            {description}
          </BodyRegularText>
        </View>
        <View style={styles().iconTitleDescriptionButtonButton}>
          <PrimaryLargeTextFlatButton text={buttonText} onClick={onButtonClick} />
        </View>
      </View>
    </BottomDynamicModalWrapper>
  );
};
