import { ListItemsModel, ListItemValueModel, VirtualizedListItemsModel, VirtualizedListItemValueModel } from './listItems/listItemsModels';

export type {
  ListItemValueModel,
  ListItemsModel,
  VirtualizedListItemsModel,
  VirtualizedListItemValueModel,
};

import { CalendarProps,
  MonthNumber,
  DayOfTheWeekData,
  DateNumberOfTheMonth,
  DatesNumberMonthNumberAndYear,
  DayNumberOfTheWeek,
  MonthNumberAndYear,
  DateNumberMonthNumberAndYear } from './calendar/calendarModel';

export type {
  CalendarProps,
  DayOfTheWeekData,
  MonthNumber,
  DayNumberOfTheWeek,
  MonthNumberAndYear,
  DateNumberOfTheMonth,
  DateNumberMonthNumberAndYear,
  DatesNumberMonthNumberAndYear,
};

import { ProgressBarHeaderModel, ProgressBarTimerModel } from './progressBarTimer/progressBarTimerModels';

export type {
  ProgressBarHeaderModel,
  ProgressBarTimerModel,
};

export type Enumerate<N extends number, Acc extends number[] = []> = Acc['length'] extends N
  ? Acc[number]
  : Enumerate<N, [...Acc, Acc['length']]>

export type IntRange<F extends number, T extends number> = Exclude<Enumerate<T>, Enumerate<F>>

export type PercentageType = IntRange<0, 101>;
