import React, { FC, useEffect, useState, useRef } from 'react';
import { ProgressBarTimerModel } from './progressBarTimerModels';
import { PercentageType } from '../models';

export const ProgressBarTimer: FC<ProgressBarTimerModel> = ({
  ProgressBarComponent,
  timeInMilliseconds= 5000,
  initialProgress = 0,
  onFinish,
  forceCleanInterval= false,
}) => {
  const [progress, setProgress] = useState<PercentageType>(initialProgress);
  const timerRef = useRef(null);

  function start() {
    const duration = timeInMilliseconds; // it should finish in 5 seconds !
    const st = new Date().getTime();
    // @ts-ignore
    timerRef.current = setInterval(() => {
      const diff = Math.round(new Date().getTime() - st);
      let val = Math.round(diff / duration * 100);
      val = val > 100 ? 100 : val;

      // @ts-ignore
      setProgress(val);
      if (diff >= duration) {
        onFinish && onFinish();
        // @ts-ignore
        clearInterval(timerRef.current);
        // clearInterval(interval);
      }
    }, 100);
  }

  useEffect(() => {
    // @ts-ignore
    forceCleanInterval && clearInterval(timerRef.current);
  }, [forceCleanInterval]);

  useEffect(() => {
    start();
  }, []);

  return (
    <ProgressBarComponent percentage={progress} />
  );
};
