import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../../../utils';
import { borderRadiusSizes, spacingSizes } from '../../../../../constants';

export const styles = () => StyleSheet.create({
  slatsControlPanelWrapper: {
    marginTop: spacingSizes.extraLarge,
  },
  slatsControlPanelTitle: {
    marginBottom: spacingSizes.small,
    color: getThemeColorByDefaultColor('text', 'default'),
  },
  slatsControlPanelInfo: {
    padding: spacingSizes.large,
    borderTopLeftRadius: borderRadiusSizes.medium,
    borderTopRightRadius: borderRadiusSizes.medium,
    borderWidth: 1,
    borderColor: getThemeColorByDefaultColor('border', 'light'),
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  slatsControlPanelInfoSubtitle: {
    color: getThemeColorByDefaultColor('text', 'default'),
  },
  slatsControlPanelInfoIcon: {
    color: getThemeColorByDefaultColor('text', 'dark'),
  },
  slatsControlPanelControlsWrapper: {
    width: '100%',
    padding: spacingSizes.small,
    borderBottomLeftRadius: borderRadiusSizes.medium,
    borderBottomRightRadius: borderRadiusSizes.medium,
    borderTopWidth: 0,
    borderWidth: 1,
    borderColor: getThemeColorByDefaultColor('border', 'light'),
  },
  slatsControlPanelControls: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignSelf: 'center',
    width: '80%',
  },
  slatsControlPanelAction: {
    borderRadius: spacingSizes.large,
    color: getThemeColorByDefaultColor('background', 'default'),
  },
});
