import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../../utils';
import { borderRadiusSizes, spacingSizes } from '../../../../constants';

export const styles = () => StyleSheet.create({
  shutterButtonWrapper: {
    borderRadius: borderRadiusSizes.medium,
    color: getThemeColorByDefaultColor('background', 'default'),
    backgroundColor: getThemeColorByDefaultColor('background', 'light'),
    height: 56,
    justifyContent: 'center',
    paddingVertical: 18,
    paddingHorizontal: spacingSizes.medium,
  },
  shutterButtonContent: {
    flexDirection: 'row',
  },
  shutterButtonText: {
    marginLeft: 10,
    flex: 1,
  },
  shutterButtonIcon: {
    color: getThemeColorByDefaultColor('text', 'light'),
  },
  disabledText: {
    color: getThemeColorByDefaultColor('text', 'light'),
  },
  controlPanelWrapper: {
    marginTop: spacingSizes.extraLarge,
  },
  controlPanelTitle: {
    marginBottom: spacingSizes.small,
    color: getThemeColorByDefaultColor('text', 'default'),
  },
  controlPanelInfo: {
    padding: spacingSizes.large,
    borderTopLeftRadius: borderRadiusSizes.medium,
    borderTopRightRadius: borderRadiusSizes.medium,
    borderWidth: 1,
    flexDirection: 'row',
    justifyContent: 'space-between',
    borderColor: getThemeColorByDefaultColor('border', 'light'),
  },
  controlPanelInfoTitle: {
    marginBottom: spacingSizes.unit,
    color: getThemeColorByDefaultColor('text', 'dark'),
  },
  controlPanelInfoSubtitle: {
    color: getThemeColorByDefaultColor('text', 'default'),
  },
  controlPanelInfoIcon: {
    color: getThemeColorByDefaultColor('text', 'dark'),
  },
  controlPanelControlsWrapper: {
    width: '100%',
    padding: spacingSizes.small,
    borderBottomLeftRadius: borderRadiusSizes.medium,
    borderBottomRightRadius: borderRadiusSizes.medium,
    borderTopWidth: 0,
    borderWidth: 1,
    borderColor: getThemeColorByDefaultColor('border', 'light'),
  },
  controlPanelControls: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignSelf: 'center',
    width: '80%',
  },
  controlPanelAction: {
    borderRadius: spacingSizes.large,
    color: getThemeColorByDefaultColor('background', 'default'),
  },
  shutterQuickActionsTitle: {
    marginBottom: spacingSizes.small,
    color: getThemeColorByDefaultColor('text', 'default'),
  },
  shutterQuickActionsControls: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  shutterQuickActionsLeftButton: {
    flex: 1,
    marginRight: spacingSizes.medium,
  },
  shutterQuickActionsRightButton: {
    flex: 1,
  },
});
