import React, { FC } from 'react';
import { BodyMediumText } from '../../../../../../atoms';
import { Selector } from '../../selectors/selector';
import { FanModeThermostatConfigModel } from '../../../../widgetDetailModels';

interface Props {
  fanModeConfig: FanModeThermostatConfigModel;
}

export const ThermostatFanSelector: FC<Props> = ({ fanModeConfig }) => {
  const {
    fanModeId,
    fanModeSelectorPlaceholder,
    fanModeOptions,
    fanModeSelectorTitle,
    fanModeValue,
    onChangeFanModeValue,
    fanModeIsLoading,
  } = fanModeConfig;

  return (
    <>
      <BodyMediumText>{fanModeSelectorTitle}</BodyMediumText>
      <Selector
        isLoading={fanModeIsLoading}
        onSelectValue={(val) => onChangeFanModeValue({ id: fanModeId, value: String(val.value) })}
        defaultValue={fanModeValue}
        showList={false}
        valuesList={fanModeOptions}
        placeholderWhenEmpty={fanModeSelectorPlaceholder}
      />
    </>
  );
};
