import React, { FC } from 'react';
import { SwitchThermostatConfigModel } from '../../../../widgetDetailModels';
import { SetThermostatSwitch } from '../../setThermostatSwitch';

interface Props {
  switchConfig: SwitchThermostatConfigModel;
  isThermostatEnabled: boolean;
}

export const ThermostatSwitchHeader: FC<Props> = ({ switchConfig, isThermostatEnabled }) => {
  const {
    switchIsLoading,
    switchLoadingTextOptions,
    switchSubtitle,
    switchTitle,
    switchVisible,
    onChangeSwitch,
  } = switchConfig;

  return (
    <SetThermostatSwitch
      title={switchTitle}
      subtitle={switchSubtitle}
      loadingInfoTextOptions={switchLoadingTextOptions}
      value={!isThermostatEnabled}
      onChangeValue={(enabled) => onChangeSwitch(!enabled)}
      loading={switchIsLoading}
      enabled={isThermostatEnabled}
      switchVisible={switchVisible}
    />
  );
};
