import React, { createContext, FC, useState } from 'react';
import { ColorThemeModel, defaultColors } from '../../../ui';

const ThemeContext = createContext<any>({});
export default ThemeContext;

interface Props {
  children: JSX.Element | JSX.Element[];
  initialTheme?: ColorThemeModel;
}

export const ASDThemeProvider: FC<Props> = ({ children, initialTheme= defaultColors }) => {
  const [themePalette, setThemePalette] = useState<ColorThemeModel>(initialTheme);

  const theme = {
    themePalette,
    setThemePalette: (palette: ColorThemeModel) => setThemePalette({ ...defaultColors, ...palette }),
  };

  return (
    <ThemeContext.Provider value={theme}>
      {children}
    </ThemeContext.Provider>
  );
};
