import { defaultColors } from '../../../ui';
import { ColorThemeModel } from '../../../ui';
import { useTheme } from '../hooks/useTheme';

export type KeyType = 'primary' | 'text' | 'border' | 'background' | 'success' | 'warning' | 'error';
export type KeyValue = 'default' | 'light' | 'extraLight' | 'maxLight' | 'dark' | 'extraDark';

export const themePalette: ColorThemeModel = defaultColors;

export const setThemePalette = (palette: ColorThemeModel) => {
  // const { setThemePalette } = useTheme();
  console.log('SET_THEME');
  const newPalette = { ...defaultColors, ...palette };
  // setThemePalette(newPalette);
};

// eslint-disable-next-line max-params
export const getThemeColorByDefaultColor = (keyType: KeyType, keyValue: KeyValue) => {
  const { themePalette } = useTheme();
  return themePalette ? themePalette[keyType]?.[keyValue] : defaultColors[keyType]?.[keyValue];
};
